# MySQL dump 8.14
#
# Host: localhost    Database: emilda
#--------------------------------------------------------
# Server version	3.23.41

#
# Table structure for table 'motd'
#

CREATE TABLE motd (
  motd_id int unsigned NOT NULL auto_increment,
  motd_group_id mediumint unsigned NOT NULL,
  motd_user_id mediumint unsigned NOT NULL,
  motd_priority tinyint unsigned NOT NULL default 1,
  motd_type bool NOT NULL default '0',
  motd_message varchar(255) NOT NULL,
  motd_date_added datetime NOT NULL default '0000-00-00 00:00:00',
  motd_date_expires datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY motd_id (motd_id),
  KEY motd_group_id (motd_group_id),
  KEY motd_user_id (motd_user_id)
) TYPE=MyISAM;



#
# Table structure for table 'reservations'
#

CREATE TABLE reservations (
  reserve_book_id mediumint unsigned NOT NULL,
  reserve_user_id mediumint unsigned NOT NULL,
  reserve_date datetime NOT NULL default '0000-00-00 00:00:00',
  KEY reserve_book_id (reserve_book_id),
  KEY reserve_user_id (reserve_user_id)
) TYPE=MyISAM;

#
# Table structure for table 'messages'
#

CREATE TABLE messages (
  message_id int unsigned NOT NULL auto_increment,
  message_to_id mediumint unsigned NOT NULL,
  message_from_id mediumint unsigned NOT NULL,
  message_sent datetime NOT NULL default '0000-00-00 00:00:00',
  message_nature tinyint NOT NULL,
  message_subject varchar(255) NOT NULL default '',
  message_text text NOT NULL,
  message_read bool NOT NULL default '0',
  PRIMARY KEY message_id (message_id),
  KEY message_to_id (message_to_id),
  KEY message_from_id (message_from_id)
) TYPE=MyISAM;

#
# Table structure for table 'grades'
#

CREATE TABLE grades (
  grade_book_control_no varchar(255) NOT NULL,
  grade_number tinyint unsigned NOT NULL,
  KEY grade_book_control_no (grade_book_control_no)
) TYPE=MyISAM;


#
# Table structure for table 'comments'
#

CREATE TABLE comments (
  comment_id int unsigned NOT NULL auto_increment,
  comment_book_control_no varchar(255) NOT NULL,
  comment_user_id mediumint unsigned NOT NULL,
  comment_text text NOT NULL,
  comment_timestamp datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY comment_id (comment_id),
  KEY comment_user_id (comment_user_id)
) TYPE=MyISAM;


#
# Table structure for table 'linkage'
#

CREATE TABLE linkage (
  user_id mediumint unsigned NOT NULL,
  group_id mediumint unsigned NOT NULL,
  group_manager bool NOT NULL default '0',
  visible bool NOT NULL default '0',
  view_borrowed bool NOT NULL default '0',
  KEY user_id (user_id),
  KEY group_id (group_id),
  KEY group_manager (group_manager),
  KEY visible (visible),
  KEY view_borrowed (view_borrowed)
) TYPE=MyISAM;


#
# Table structure for table 'groups'
#

CREATE TABLE groups (
  group_id mediumint unsigned NOT NULL auto_increment,
  group_name varchar(255) NOT NULL,
  group_view_borrowed bool NOT NULL default '1',
  group_description tinytext NOT NULL,
  PRIMARY KEY (group_id)
) TYPE=MyISAM;


#
# Table structure for table 'control'
#

CREATE TABLE control (
  last_control_number int unsigned NOT NULL default '0'
) TYPE=MyISAM;

#
# Table structure for table 'borrowed'
#

CREATE TABLE borrowed (
  borrowed_book_id int unsigned NOT NULL default '0',
  borrowed_user_id mediumint unsigned NOT NULL default '0',
  borrowed_date date NOT NULL default '0000-00-00',
  borrowed_time tinyint unsigned NOT NULL default '0',
  PRIMARY KEY (borrowed_book_id),
  KEY borrowed_user_id (borrowed_user_id)
) TYPE=MyISAM;

#
# Table structure for table 'locations'
#

CREATE TABLE locations (
  location_id tinyint unsigned NOT NULL auto_increment,
  location_name varchar(255) NOT NULL default '',
  location_postal_address varchar(255) default '',
  location_postal_code varchar(255) default '',
  location_town varchar(255) default '',
  location_phone varchar(255) default '',
  location_fax varchar(255) default '',
  location_notes varchar(255) default '',
  location_added date NOT NULL default '0000-00-00',
  PRIMARY KEY (location_id)
 ) TYPE=MyISAM;

#
# Table structure for table 'books'
#

CREATE TABLE books (
  book_id int unsigned NOT NULL auto_increment,
  book_control_number varchar(255) NOT NULL default '',
  book_date_added date NOT NULL default '0000-00-00',
  book_date_deleted date NOT NULL default '0000-00-00',
  book_borrowed bool NOT NULL default '0',
  book_reserved bool NOT NULL default '0',
  book_deleted bool NOT NULL default '0',
  book_borrow_count smallint unsigned NOT NULL default '0',
  book_location tinyint unsigned NOT NULL default '0',
  PRIMARY KEY  (book_id),
  KEY book_control_number (book_control_number),
  KEY book_borrowed (book_borrowed),
  KEY book_deleted (book_deleted)
) TYPE=MyISAM;

#
# Table structure for table 'deleted_books'
#

CREATE TABLE deleted_books (
  del_book_id int unsigned NOT NULL auto_increment,
  del_book_control_number varchar(255) NOT NULL default '',
  del_book_date_added date NOT NULL default '0000-00-00',
  del_book_date_deleted date NOT NULL default '0000-00-00',
  del_book_borrowed bool NOT NULL default '0',
  del_book_reserved bool NOT NULL default '0',
  del_book_deleted bool NOT NULL default '0',
  del_book_borrow_count smallint unsigned NOT NULL default '0',
  del_book_location tinyint unsigned NOT NULL default '0',
  PRIMARY KEY  (del_book_id),
  KEY del_book_control_number (del_book_control_number),
  KEY del_book_borrowed (del_book_borrowed),
  KEY del_book_deleted (del_book_deleted)
) TYPE=MyISAM;

#
# Table structure for table 'sessions'
#

CREATE TABLE sessions (
  session_id bigint(20) unsigned NOT NULL default '0',
  session_auth varchar(32) NOT NULL default '',
  session_user_id mediumint(9) NOT NULL default '0',
  session_verification varchar(32) NOT NULL default '',
  session_ip varchar(15) NOT NULL default '',
  session_last_action timestamp(14) NOT NULL,
  session_last_page varchar(255) NOT NULL default '',
  session_start datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (session_id)
) TYPE=HEAP;

#
# Table structure for table 'users'
#

CREATE TABLE users (
  user_id mediumint(8) unsigned NOT NULL auto_increment,
  user_card_number varchar(255) NOT NULL default '',
  user_name varchar(255) NOT NULL default '',
  user_given_names varchar(255) NOT NULL default '',
  user_surname varchar(255) NOT NULL default '',
  user_postal_address varchar(255) NOT NULL default '',
  user_postal_code varchar(255) NOT NULL default '',
  user_town varchar(255) NOT NULL default '',
  user_phone_home varchar(255) NOT NULL default '',
  user_phone_mobile varchar(255) NOT NULL default '',
  user_email varchar(255) NOT NULL default '',
  user_location tinyint unsigned NOT NULL default '0',
  user_password varchar(32) NOT NULL default '',
  user_last_visit datetime NOT NULL default '0000-00-00 00:00:00',
  user_regdate date NOT NULL default '0000-00-00',
  user_date_format varchar(255) NOT NULL default 'd.m.Y',
  user_login_count mediumint(8) unsigned NOT NULL default '0',
  user_preferences smallint(3) unsigned NOT NULL default '0',
  user_cast enum("ADMIN", "POWER", "NORMAL") default "NORMAL",
  user_privileges smallint(3) unsigned NOT NULL default '0',
  user_lang varchar(3) NOT NULL default '0',
  user_template varchar(255) NOT NULL default 'default',
  PRIMARY KEY  (user_id),
  KEY user_card_number (user_card_number),
  KEY user_name (user_name)
) TYPE=MyISAM;

#
# Dumping data for table 'users'
#

INSERT INTO users SET user_id=1,user_card_number=1,user_name='admin',user_given_names='System',user_surname='Administrator',user_postal_address='SomethingStreet 23',user_postal_code='12345',user_town='My City',user_phone_home='+358 9 1234 567',user_phone_mobile='+358 40 1234 567',user_email='root@localhost',user_location=1,user_password='098f6bcd4621d373cade4e832627b4f6',user_last_visit='0000-00-00 00:00:00',user_regdate='0000-00-00',user_date_format='d.m.Y',user_login_count=0,user_preferences=0,user_cast='ADMIN',user_privileges=63,user_lang='eng',user_template='default';

#
# Dumping data for table 'locations'
#

INSERT INTO locations VALUES (1,'My Library','My Road 1', '1234567', 'My City', '0-800-PHONE', '0-800-FAX', 'Open everyday', NOW());

#
# Dumping data for table 'control'
#

INSERT INTO control VALUES (1);
